#!/bin/bash
# ↑↑↑ this is called a shebang, it has to be in the first line of a
# executable file to tell Linux which intepreter it has to use
# you can write scripts in different scripting languages and modify
# those files with a corresponding shebang

# this is just some default setting and has to be set because of set -u
if [ -z ${STATEMENT+x} ]; then STATEMENT=""; fi

# this defines special shell behaviour and is useful to prevent
# certain error-prone or dangerous behaviour (check set --help)
set -euo pipefail

# TODO: this command prints a text
VARIABLE="world"
echo "hello ${VARIABLE}!"

# this command prints where the scripts pwd is
echo "i am in directory: [ ${PWD} ]"

# this command prints on which host this script runs
echo "i am running on host: [ ${HOSTNAME} ]"

# this prints the $STATEMENT content if it is not empty
if [ ! -z "${STATEMENT}" ]
then
  echo "you state that: [ ${STATEMENT} ]"
fi

# TODO: add here the command which displays the content of your current pwd


# this exits the script and specifies a exit code
# (this is not necessary as 0 is the default and the script
#  will be exited either way at the end)
exit 0
